# Module: Concurrent::Promises::Future::FlatShortcuts

Included in:
  Concurrent::Promises::Future

Defined in:
  lib-edge/concurrent/edge/promises.rb

## Overview

Note:

Edge Features are under active development and may change frequently.

- Deprecations are not added before incompatible changes.
- Edge version: major is always 0, minor bump means incompatible change, patch bump means compatible change.
- Edge features may also lack tests and documentation.
- Features developed in `concurrent-ruby-edge` are expected to move to `concurrent-ruby` when finalised.

## Instance Method Summary collapse

- #then_flat_event(*args, &block) ⇒ Event
- #then_flat_event_on(executor, *args, &block) ⇒ Event
- #then_flat_future(*args, &block) ⇒ Future (also: #then_flat)
- #then_flat_future_on(executor, *args, &block) ⇒ Future (also: #then_flat_on)

## Instance Method Details

### #then_flat_event(*args, &block) ⇒ `Event`

Returns:

- (`Event`)

    39
    40
    41

    # File 'lib-edge/concurrent/edge/promises.rb', line 39

    def then_flat_event(*args, &block)
      self.then(*args, &block).flat_event
    end

### #then_flat_event_on(executor, *args, &block) ⇒ `Event`

Returns:

- (`Event`)

    44
    45
    46

    # File 'lib-edge/concurrent/edge/promises.rb', line 44

    def then_flat_event_on(executor, *args, &block)
      self.then_on(executor, *args, &block).flat_event
    end

### #then_flat_future(*args, &block) ⇒ `Future` Also known as: then_flat

Returns:

- (`Future`)

    25
    26
    27

    # File 'lib-edge/concurrent/edge/promises.rb', line 25

    def then_flat_future(*args, &block)
      self.then(*args, &block).flat_future
    end

### #then_flat_future_on(executor, *args, &block) ⇒ `Future` Also known as: then_flat_on

Returns:

- (`Future`)

    32
    33
    34

    # File 'lib-edge/concurrent/edge/promises.rb', line 32

    def then_flat_future_on(executor, *args, &block)
      self.then_on(executor, *args, &block).flat_future
    end